Subject: [manet] Re: IP Address Autoconfiguration (MANET Draft 03)

From: "Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 1 Oct 2003 09:56:45 +0900

Hello John,

>----- Original Message ----- 
>From: John Paul O Grady 
>To: [email-masked] ; [email-masked] ; [email-masked] ; [email-masked] 
>Sent: Tuesday, September 30, 2003 7:34 PM
>Subject: IP Address Autoconfiguration (MANET Draft 03)
>
>Hello
>
>I have a question in regard to the IP address autoconfiguration draft. 
>In the draft a number of default parameters are used, one of these is an ADDRESS_DISCOVERY parameter, 
>which is time a node waits between sending AREQ messages. 
>Default values were given for a number of these parameters in the Nov 01 Draft. 
>

The above draft is C. Perkins's one, draft-ietf-manet-autoconf-01.txt.

>I was just wondering what size network was considered for these default parameters. 
>For example the NET_DIAMETER parameter has a default value of 10, what size network was considered 
>for this parameter?

I think this parameter is for a middle-scale MANET.
In RFC3561, AODV, NET_DIAMETER for the route discovery is 35. 
I think this is for large-scale MANET.

>I presume the ADDRESS_DISCOVERY parareter will increase in size as the network does?
Only for Strong-DAD, I agree with you.
However, in my draft, draft-jeong-adhoc-ip-addr-autoconf-00.txt, 
even though the network becomes large, the value of ADDRESS_DISCOVERY is fixed. 
Because the conflict over this coverage can be handled by Weak-DAD 
that is based on Ad-hoc routing protocol. 
This is one of the differences between two drafts.

Thanks.

/Jaehoon

>
>Regards
>
>John Paul O Grady
>Cork Institute of Technology
>Ireland

&jw™¨¥Šx%ŠËfjw‰ë_¢¸!¶Úlÿü0ÃXžµú+ƒùšŠYšŸùb²Ø§~æjw